Page MenuHomePhabricator

Make DWARFUnit use the dwo_id from the DWARF5 CU header.
ClosedPublic

Authored by jgorbe on Dec 16 2020, 9:59 PM.

Details

Summary

In split DWARF v5 files, the DWO id is no longer in the DW_AT_GNU_dwo_id
attribute. It's in the CU header instead. This change makes lldb look in
both places.

Diff Detail

Event Timeline

jgorbe requested review of this revision.Dec 16 2020, 9:59 PM
jgorbe created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptDec 16 2020, 9:59 PM
labath accepted this revision.Dec 21 2020, 11:47 AM
This revision is now accepted and ready to land.Dec 21 2020, 11:47 AM
jgorbe added a comment.Jan 5 2021, 3:44 PM

Thanks for accepting the patch! (and sorry for the late reply, I was on vacation). I'll commit this now :)

This revision was landed with ongoing or failed builds.Jan 5 2021, 4:40 PM
This revision was automatically updated to reflect the committed changes.